# Create a new v3 status page. - Checkly Docs

> Create a new v3 status page. Add components afterwards via the components endpoints.

Source: https://www.checklyhq.com/docs/api-reference/status-pages-v3/create-a-new-v3-status-page/

---

Create a new v3 status page.

```
curl --request POST \
--url https://api.checklyhq.com/v3/status-pages \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '
{
"name": " ",
"url": " ",
"description": " ",
"customDomain": " ",
"themeColors": {
"light": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
},
"dark": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
}
},
"logo": " ",
"logoDark": " ",
"redirectTo": " ",
"favicon": " ",
"defaultTheme": "AUTO",
"privacyPolicyLink": " ",
"termsOfServiceLink": " ",
"supportLink": " ",
"footerText": " ",
"googleAnalyticsTag": " ",
"allowIndexing": true,
"isPrivate": true
}
'
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages"

payload = {
"name": " ",
"url": " ",
"description": " ",
"customDomain": " ",
"themeColors": {
"light": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
},
"dark": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
}
},
"logo": " ",
"logoDark": " ",
"redirectTo": " ",
"favicon": " ",
"defaultTheme": "AUTO",
"privacyPolicyLink": " ",
"termsOfServiceLink": " ",
"supportLink": " ",
"footerText": " ",
"googleAnalyticsTag": " ",
"allowIndexing": True,
"isPrivate": True
}
headers = {
"Authorization": "Bearer ",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'POST',
headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: ' ',
url: ' ',
description: ' ',
customDomain: ' ',
themeColors: {
light: {
bodyBackgroundColor: ' ',
headerBackgroundColor: ' ',
headerFontColor: ' ',
titleFontColor: ' ',
bodyFontColor: ' ',
bodyFontColorMuted: ' ',
navigationFontColor: ' ',
linkFontColor: ' ',
cardBackgroundColor: ' ',
borderColor: ' ',
primaryButtonBackgroundColor: ' ',
primaryButtonFontColor: ' '
},
dark: {
bodyBackgroundColor: ' ',
headerBackgroundColor: ' ',
headerFontColor: ' ',
titleFontColor: ' ',
bodyFontColor: ' ',
bodyFontColorMuted: ' ',
navigationFontColor: ' ',
linkFontColor: ' ',
cardBackgroundColor: ' ',
borderColor: ' ',
primaryButtonBackgroundColor: ' ',
primaryButtonFontColor: ' '
}
},
logo: ' ',
logoDark: ' ',
redirectTo: ' ',
favicon: ' ',
defaultTheme: 'AUTO',
privacyPolicyLink: ' ',
termsOfServiceLink: ' ',
supportLink: ' ',
footerText: ' ',
googleAnalyticsTag: ' ',
allowIndexing: true,
isPrivate: true
})
};

fetch('https://api.checklyhq.com/v3/status-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => ' ',
'url' => ' ',
'description' => ' ',
'customDomain' => ' ',
'themeColors' => [
'light' => [
'bodyBackgroundColor' => ' ',
'headerBackgroundColor' => ' ',
'headerFontColor' => ' ',
'titleFontColor' => ' ',
'bodyFontColor' => ' ',
'bodyFontColorMuted' => ' ',
'navigationFontColor' => ' ',
'linkFontColor' => ' ',
'cardBackgroundColor' => ' ',
'borderColor' => ' ',
'primaryButtonBackgroundColor' => ' ',
'primaryButtonFontColor' => ' '
],
'dark' => [
'bodyBackgroundColor' => ' ',
'headerBackgroundColor' => ' ',
'headerFontColor' => ' ',
'titleFontColor' => ' ',
'bodyFontColor' => ' ',
'bodyFontColorMuted' => ' ',
'navigationFontColor' => ' ',
'linkFontColor' => ' ',
'cardBackgroundColor' => ' ',
'borderColor' => ' ',
'primaryButtonBackgroundColor' => ' ',
'primaryButtonFontColor' => ' '
]
],
'logo' => ' ',
'logoDark' => ' ',
'redirectTo' => ' ',
'favicon' => ' ',
'defaultTheme' => 'AUTO',
'privacyPolicyLink' => ' ',
'termsOfServiceLink' => ' ',
'supportLink' => ' ',
'footerText' => ' ',
'googleAnalyticsTag' => ' ',
'allowIndexing' => true,
'isPrivate' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer ",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages"

payload := strings.NewReader("{\n \"name\": \" \",\n \"url\": \" \",\n \"description\": \" \",\n \"customDomain\": \" \",\n \"themeColors\": {\n \"light\": {\n \"bodyBackgroundColor\": \" \",\n \"headerBackgroundColor\": \" \",\n \"headerFontColor\": \" \",\n \"titleFontColor\": \" \",\n \"bodyFontColor\": \" \",\n \"bodyFontColorMuted\": \" \",\n \"navigationFontColor\": \" \",\n \"linkFontColor\": \" \",\n \"cardBackgroundColor\": \" \",\n \"borderColor\": \" \",\n \"primaryButtonBackgroundColor\": \" \",\n \"primaryButtonFontColor\": \" \"\n },\n \"dark\": {\n \"bodyBackgroundColor\": \" \",\n \"headerBackgroundColor\": \" \",\n \"headerFontColor\": \" \",\n \"titleFontColor\": \" \",\n \"bodyFontColor\": \" \",\n \"bodyFontColorMuted\": \" \",\n \"navigationFontColor\": \" \",\n \"linkFontColor\": \" \",\n \"cardBackgroundColor\": \" \",\n \"borderColor\": \" \",\n \"primaryButtonBackgroundColor\": \" \",\n \"primaryButtonFontColor\": \" \"\n }\n },\n \"logo\": \" \",\n \"logoDark\": \" \",\n \"redirectTo\": \" \",\n \"favicon\": \" \",\n \"defaultTheme\": \"AUTO\",\n \"privacyPolicyLink\": \" \",\n \"termsOfServiceLink\": \" \",\n \"supportLink\": \" \",\n \"footerText\": \" \",\n \"googleAnalyticsTag\": \" \",\n \"allowIndexing\": true,\n \"isPrivate\": true\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer ")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.post("https://api.checklyhq.com/v3/status-pages")
.header("Authorization", "Bearer ")
.header("Content-Type", "application/json")
.body("{\n \"name\": \" \",\n \"url\": \" \",\n \"description\": \" \",\n \"customDomain\": \" \",\n \"themeColors\": {\n \"light\": {\n \"bodyBackgroundColor\": \" \",\n \"headerBackgroundColor\": \" \",\n \"headerFontColor\": \" \",\n \"titleFontColor\": \" \",\n \"bodyFontColor\": \" \",\n \"bodyFontColorMuted\": \" \",\n \"navigationFontColor\": \" \",\n \"linkFontColor\": \" \",\n \"cardBackgroundColor\": \" \",\n \"borderColor\": \" \",\n \"primaryButtonBackgroundColor\": \" \",\n \"primaryButtonFontColor\": \" \"\n },\n \"dark\": {\n \"bodyBackgroundColor\": \" \",\n \"headerBackgroundColor\": \" \",\n \"headerFontColor\": \" \",\n \"titleFontColor\": \" \",\n \"bodyFontColor\": \" \",\n \"bodyFontColorMuted\": \" \",\n \"navigationFontColor\": \" \",\n \"linkFontColor\": \" \",\n \"cardBackgroundColor\": \" \",\n \"borderColor\": \" \",\n \"primaryButtonBackgroundColor\": \" \",\n \"primaryButtonFontColor\": \" \"\n }\n },\n \"logo\": \" \",\n \"logoDark\": \" \",\n \"redirectTo\": \" \",\n \"favicon\": \" \",\n \"defaultTheme\": \"AUTO\",\n \"privacyPolicyLink\": \" \",\n \"termsOfServiceLink\": \" \",\n \"supportLink\": \" \",\n \"footerText\": \" \",\n \"googleAnalyticsTag\": \" \",\n \"allowIndexing\": true,\n \"isPrivate\": true\n}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer '
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \" \",\n \"url\": \" \",\n \"description\": \" \",\n \"customDomain\": \" \",\n \"themeColors\": {\n \"light\": {\n \"bodyBackgroundColor\": \" \",\n \"headerBackgroundColor\": \" \",\n \"headerFontColor\": \" \",\n \"titleFontColor\": \" \",\n \"bodyFontColor\": \" \",\n \"bodyFontColorMuted\": \" \",\n \"navigationFontColor\": \" \",\n \"linkFontColor\": \" \",\n \"cardBackgroundColor\": \" \",\n \"borderColor\": \" \",\n \"primaryButtonBackgroundColor\": \" \",\n \"primaryButtonFontColor\": \" \"\n },\n \"dark\": {\n \"bodyBackgroundColor\": \" \",\n \"headerBackgroundColor\": \" \",\n \"headerFontColor\": \" \",\n \"titleFontColor\": \" \",\n \"bodyFontColor\": \" \",\n \"bodyFontColorMuted\": \" \",\n \"navigationFontColor\": \" \",\n \"linkFontColor\": \" \",\n \"cardBackgroundColor\": \" \",\n \"borderColor\": \" \",\n \"primaryButtonBackgroundColor\": \" \",\n \"primaryButtonFontColor\": \" \"\n }\n },\n \"logo\": \" \",\n \"logoDark\": \" \",\n \"redirectTo\": \" \",\n \"favicon\": \" \",\n \"defaultTheme\": \"AUTO\",\n \"privacyPolicyLink\": \" \",\n \"termsOfServiceLink\": \" \",\n \"supportLink\": \" \",\n \"footerText\": \" \",\n \"googleAnalyticsTag\": \" \",\n \"allowIndexing\": true,\n \"isPrivate\": true\n}"

response = http.request(request)
puts response.read_body
```

```
{
"name": " ",
"url": " ",
"id": " ",
"accountId": " ",
"version": 3,
"created_at": "2023-12-25",
"description": " ",
"customDomain": " ",
"themeColors": {
"light": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
},
"dark": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
}
},
"logo": " ",
"logoDark": " ",
"redirectTo": " ",
"favicon": " ",
"defaultTheme": "AUTO",
"privacyPolicyLink": " ",
"termsOfServiceLink": " ",
"supportLink": " ",
"footerText": " ",
"googleAnalyticsTag": " ",
"allowIndexing": true,
"isPrivate": true,
"updated_at": "2023-12-25"
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Status Pages

# Create a new v3 status page.

Create a new v3 status page. Add components afterwards via the components endpoints.

POST

/

v3

/

status-pages

Create a new v3 status page.

```
#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys). Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Body

application/json

​

name

string

required

​

url

string

required

​

description

string | null

Maximum string length: `500`

​

customDomain

string | null

A custom user domain, e.g. "status.example.com". See the docs on updating your DNS and SSL usage.

​

themeColors

object | null

Show child attributes

​

logo

string | null

​

logoDark

string | null

​

redirectTo

string | null

​

favicon

string | null

​

defaultTheme

enum<string>

default: AUTO

Available options: `LIGHT`,

`DARK`,

`AUTO`

​

privacyPolicyLink

string | null

Maximum string length: `255`

​

termsOfServiceLink

string | null

Maximum string length: `255`

​

supportLink

string | null

Maximum string length: `255`

​

footerText

string | null

Maximum string length: `1000`

​

googleAnalyticsTag

string | null

Maximum string length: `255`

Pattern: `^[A-Za-z0-9-]+$`

​

allowIndexing

boolean

​

isPrivate

boolean

#### Response

Created

​

name

string

required

​

url

string

required

​

id

string

required

​

accountId

string

required

​

version

enum<integer>

required

Available options: `3`

​

created_at

string<date>

required

​

description

string | null

Maximum string length: `500`

​

customDomain

string | null

A custom user domain, e.g. "status.example.com". See the docs on updating your DNS and SSL usage.

​

themeColors

object | null

Show child attributes

​

logo

string | null

​

logoDark

string | null

​

redirectTo

string | null

​

favicon

string | null

​

defaultTheme

enum<string>

default: AUTO

Available options: `LIGHT`,

`DARK`,

`AUTO`

​

privacyPolicyLink

string | null

Maximum string length: `255`

​

termsOfServiceLink

string | null

Maximum string length: `255`

​

supportLink

string | null

Maximum string length: `255`

​

footerText

string | null

Maximum string length: `1000`

​

googleAnalyticsTag

string | null

Maximum string length: `255`

Pattern: `^[A-Za-z0-9-]+$`

​

allowIndexing

boolean

​

isPrivate

boolean

​

updated_at

string<date> | null

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/status-pages-v3/create-a-new-v3-status-page.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/status-pages-v3/create-a-new-v3-status-page)

[List v3 status pages. Previous](https://www.checklyhq.com/docs/api-reference/status-pages-v3/list-v3-status-pages)[Retrieve a single v3 status page by id. Next](https://www.checklyhq.com/docs/api-reference/status-pages-v3/retrieve-a-single-v3-status-page-by-id)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
